WordPress.org

Forums

Column Shortcodes
[resolved] Server is Blocking Me! (2 posts)

  1. mrhocs
    Member
    Posted 2 years ago #

    Hello -

    First off, I love what you've created. It's simple and effective. However, I have been getting blocked from all my servers (mod_security). I requested the host provide me with the rule triggered and it is a result of this plugin. Bizarre, right?

    This is what is triggering my server to block me: GET /wp-content/plugins/column-shortcodes/assets/js/jquery.cookie.js HTTP/1.1

    Question though, why is a cookie necessary with this plugin? Can this be removed so I can continue using this plugin or is my only option to trash this?

    Thank you!

    http://wordpress.org/extend/plugins/column-shortcodes/

  2. Tobias Schutter
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks for reporting it.

    I looked it up and indeed in some cases the cookie.js gets rejected by mod_security.

    The cookie is used to store the padding values. That way you will not need to re-enter the same padding values when you are selecting a new column shortcode.

    I have beta version ready here with a fix:
    https://github.com/codepress/column-shortcodes/archive/master.zip

    Please try it out, and let me know if it works for you.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Column Shortcodes
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic